FC2ブログ

オラクル R&D センター

尚、本ブログに関する情報を無断引用することを禁止します。 引用希望の場合はコメント欄に記入下さい。個別対応します。

rpmコマンドで「複数のパッケージを指定しています」

rpm -e mysql
で、不要なパッケージを消そうとしたところ、
「エラー:"mysql-5.0.77-4.el5_4.2"は複数のパッケージを指定しています」とのエラーが。
少々てこずりましたが以下で解決。

1.パッケージの確認
rpm -q mysql
mysql-5.0.77-4.el5_4.2
mysql-5.0.77-4.el5_4.2
確かに同じパッケージがある。これはたぶん32bit版と64bit版の2つが入っているということだ。
rpmコマンドの別オプションで確認可能だが、今回は確認せずに次のステップへ

2.ばっさり削除
rpm -e --allmatches mysql
スポンサーサイト